Debian Bug report logs - #160773
ITA: FilterProxy

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Kenneth Vestergaard Schmidt" <charon@debian.org>

Date: Fri, 13 Sep 2002 15:33:05 UTC

Severity: normal

Fixed in version filterproxy/0.30-4

Done: Mario Lang <mlang@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#160773; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Kenneth Vestergaard Schmidt" <charon@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Kenneth Vestergaard Schmidt" <charon@debian.org>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: O: filterproxy - A filtering proxy, which can among other things remove ads.
Date: Fri, 13 Sep 2002 17:27:10 +0200
Package: wnpp
Version: unavailable; reported 2002-09-13
Severity: normal





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#160773; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 160773@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: mcelrath+filterproxy@draal.physics.wisc.edu
Cc: 160773@bugs.debian.org
Subject: Debian Package of FilterProxy
Date: Tue, 17 Sep 2002 23:09:46 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi.

The maintainer of FilterProxy in Debian left the project, and now there is:
http://bugs.debian/160773 (he orphaned filterproxy).

Since I'm somehow familiar with fp :), I am planning to adopt the package
and care for it in the future.
I found

http://bugs.debian.org/159929

which I'm a bit worried about.  I'm not that familiar with mason.
So I'd like to check with you if you're still
planning to enhance fp, or at least fix stuff like this bug,
and if you're willing to work with me.

Basicly, do you plan a bugfix release for the problems in #159929?

- -- 
CYa,
  Mario

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.7 <http://mailcrypt.sourceforge.net/>

iD8DBQE9h5oQ3/wCKmsRPkQRApP2AJsGTxmSv6b1+7icYcQiXABnRpH0VQCfY7Aq
k3pgiunP3YlvbOJpwxu4bdE=
=qbjR
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#160773; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bob McElrath <mcelrath+filterproxy@draal.physics.wisc.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 160773@bugs.debian.org (full text, mbox):

From: Bob McElrath <mcelrath+filterproxy@draal.physics.wisc.edu>
To: Mario Lang <mlang@debian.org>
Cc: 160773@bugs.debian.org
Subject: Re: Debian Package of FilterProxy
Date: Tue, 17 Sep 2002 16:40:45 -0500
[Message part 1 (text/plain, inline)]
Mario Lang [mlang@debian.org] wrote:
> Hi.
> 
> The maintainer of FilterProxy in Debian left the project, and now there is:
> http://bugs.debian/160773 (he orphaned filterproxy).
> 
> Since I'm somehow familiar with fp :), I am planning to adopt the package
> and care for it in the future.

Great!  ;)

> I found
> 
> http://bugs.debian.org/159929
> 
> which I'm a bit worried about.  I'm not that familiar with mason.
> So I'd like to check with you if you're still
> planning to enhance fp, or at least fix stuff like this bug,
> and if you're willing to work with me.
> 
> Basicly, do you plan a bugfix release for the problems in #159929?

Yes.

The Mason folks changed their interfaces out from under me.  On the
debian side this can be easily fixed by making filterproxy depend on
mason 1.0X, if that's possible.  Looks like the package 0.30-2.1 worked
but 0.30-3.1 does not due to this dependency.

Also bug http://bugs.debian.org/143864 is fixed.  I should make a
release soon...

BTW I switched to debian about 5 months ago... ;)

MMMmmm...any idea about this one?  (I just did an apt-get install
filterproxy):
    Starting FilterProxy: Can't locate URI.pm in @INC (@INC contains: .
    /etc/perl /usr/local/lib/perl/5.8.0 /usr/local/share/perl/5.8.0
    /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8.0
    /usr/share/perl/5.8.0 /usr/local/lib/site_perl
    /usr/share/filterproxy/FilterProxy) at (eval 5) line 3.
    Compilation failed in require at /usr/share/perl5/HTTP/Request.pm line 39.
    Compilation failed in require at /usr/share/perl5/HTTP/Daemon.pm line 173.
    BEGIN failed--compilation aborted at /usr/share/perl5/HTTP/Daemon.pm line 173.
    Compilation failed in require at /usr/sbin/FilterProxy line 63.
    BEGIN failed--compilation aborted at /usr/sbin/FilterProxy line 63.
    done

Can you do whatever it takes to get the URI module in the dependencies
too?

Cheers,
-- Bob

Bob McElrath (rsmcelrath@students.wisc.edu) 
Univ. of Wisconsin at Madison, Department of Physics

    "The purpose of separation of church and state is to keep forever from
    these shores the ceaseless strife that has soaked the soil of Europe in
    blood for centuries." -- James Madison

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#160773; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bob McElrath <mcelrath+filterproxy@draal.physics.wisc.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 160773@bugs.debian.org (full text, mbox):

From: Bob McElrath <mcelrath+filterproxy@draal.physics.wisc.edu>
To: Mario Lang <mlang@debian.org>
Cc: 160773@bugs.debian.org
Subject: Re: Debian Package of FilterProxy
Date: Tue, 17 Sep 2002 16:42:49 -0500
[Message part 1 (text/plain, inline)]
Mario Lang [mlang@debian.org] wrote:
> Hi.
> 
> The maintainer of FilterProxy in Debian left the project, and now there is:
> http://bugs.debian/160773 (he orphaned filterproxy).
> 
> Since I'm somehow familiar with fp :), I am planning to adopt the package
> and care for it in the future.
> I found
> 
> http://bugs.debian.org/159929
> 
> which I'm a bit worried about.  I'm not that familiar with mason.
> So I'd like to check with you if you're still
> planning to enhance fp, or at least fix stuff like this bug,
> and if you're willing to work with me.
> 
> Basicly, do you plan a bugfix release for the problems in #159929?

BTW when I did an apt-get install filterproxy it did NOT choose to
upgrade libhtml-mason-perl (and I'm even using debian unstable right
now).  It left 1.05 installed, which should work fine (modulo that URI
problem in my last mail).

Cheers,
-- Bob

Bob McElrath (rsmcelrath@students.wisc.edu) 
Univ. of Wisconsin at Madison, Department of Physics

    "The purpose of separation of church and state is to keep forever from
    these shores the ceaseless strife that has soaked the soil of Europe in
    blood for centuries." -- James Madison

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Mario Lang <mlang@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#160773; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #27 received at 160773@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: 160773@bugs.debian.org
Subject: ITA: filterproxy
Date: Wed, 18 Sep 2002 11:23:42 +0200
retitle 160773 ITA: FilterProxy
thanks

Since upstream seems to be still active and interrested to help,
and since I've written one of the modules for FilterProxy a while back,
I would like to care for this package in the future.

I'm preparing a upload with upstream fixes for the mason problem
right now.


-- 
CYa,
  Mario




Reply sent to Mario Lang <mlang@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kenneth Vestergaard Schmidt" <charon@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 160773-close@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: 160773-close@bugs.debian.org
Subject: Bug#160773: fixed in filterproxy 0.30-4
Date: Wed, 18 Sep 2002 05:17:09 -0400
We believe that the bug you reported is fixed in the latest version of
filterproxy, which is due to be installed in the Debian FTP archive:

filterproxy_0.30-4.dsc
  to pool/main/f/filterproxy/filterproxy_0.30-4.dsc
filterproxy_0.30-4.tar.gz
  to pool/main/f/filterproxy/filterproxy_0.30-4.tar.gz
filterproxy_0.30-4_all.deb
  to pool/main/f/filterproxy/filterproxy_0.30-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 160773@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mario Lang <mlang@debian.org> (supplier of updated filterproxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Sep 2002 10:02:50 +0200
Source: filterproxy
Binary: filterproxy
Architecture: source all
Version: 0.30-4
Distribution: unstable
Urgency: low
Maintainer: Mario Lang <mlang@debian.org>
Changed-By: Mario Lang <mlang@debian.org>
Description: 
 filterproxy - A filtering proxy, which can among other things remove ads.
Closes: 143864 159929 160773
Changes: 
 filterproxy (0.30-4) unstable; urgency=low
 .
   * New maintainer upload (Closes: Bug#160773)
   * Fixed mason compatibility (Closes: Bug#159929)
   * Now depends on mason >= 1.1201
   * Add dependency for liburi-perl
   * Patch from upstream (Closes: Bug#143864)
   * Remove libxml2-dev, libxslt1-dev from build-depend, they
     are really not used.
Files: 
 2aaa1ccf79e138ef198aa279c4d47c7a 552 web optional filterproxy_0.30-4.dsc
 3eaee28fac44f734e1f68b0a7b81b49a 106928 web optional filterproxy_0.30-4.tar.gz
 15944f91217600637ffa3c24b1b48aec 92438 web optional filterproxy_0.30-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE9iEHn3/wCKmsRPkQRAjdfAJwIth5bBKvudOjdC4vGNe7a4JcgVACffr70
wW3t12pTfNV/fxUzcQtCYb8=
=KFEh
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:42:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.